<template>
    <div class="page">
        <Question v-for="i in 3" v-bind:key="i"/>
        <EditQuestion id="EditQuestion"/>
        <AddQuestion id="AddQuestion"/>
        <button class="left">СОХРАНИТЬ ИЗМЕНЕНИЯ</button>
        <button class="right">ОТМЕНИТЬ</button>
    </div>
</template>

<script>
import Question from '../components/Question.vue'
import AddQuestion from '../components/AddQuestion.vue'
import EditQuestion from '../components/EditQuestion.vue'


export default {
  name: 'Managment',
  components: {
    Question,
    AddQuestion,
    EditQuestion
  },
  data() {
      return {
          target: "t3"
      }
  }
}
</script>

<style scoped>
main {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    grid-gap: 0 1vw;
    margin: 1vw 0;
}

header {
    grid-column: 2/12;
    display: flex;
    align-items: center;
    margin-bottom: 1.5vw;
}

h1 {
    padding: 0;
    margin: 0;
    font-size: 1.7rem;
    margin-right: auto;
}

label {
    color: #9F9F9F;
    padding: 0 0.5rem;
}

select {
    width: 10vw;
    background: #F5F5F5;
    border-radius: 5px;
    color: #646464;
    padding: 0.3rem;
}

#EditQuestion {
    grid-column: 2/12;
}

#AddQuestion {
    grid-column: 2/4;
}

button {
    width: 100%;
    border: none;
    padding: 1rem;
    margin: 0;
    background: #6FA1DC;
    border-radius: 5px;
    font-size: 1.2rem;
    grid-column: 2/5;
    font-family: Roboto;
    font-style: normal;
    font-weight: bold;
    color: white;;
}

button.right {
    background: #C4C4C4;
    grid-column: 5/7;
}

</style>